module Jekyll
  class OverlineFilter
    def self.apply_overline(content)
      content.gsub(/~([^~]+)~/, '<span class="overline">\1</span>')
    end
  end

  Hooks.register [:documents, :pages], :pre_render do |item|
    if item.output_ext == ".html"
      item.content = OverlineFilter.apply_overline(item.content)
    end
  end
end

puts "✅ Overline plugin loaded!"
